Copy PageUpdate an inspectionput https://vision-api.truepic.{tld}/v3/inspections/{inspectionId}Path ParamsinspectionIdintegerrequiredThe ID of the existing inspection request.Body ParamsThe request body for PUT /inspections/{inspectionId}, a partial update. Omitted scalar fields are preserved, and a supplied custom_field_values replaces the array. Address and customer field requirements still follow the selected inspection type. Rescheduling requires both scheduled_for and scheduled_tz, and is limited to scheduled inspections.assigned_to_member_user_idnumberThe ID of the user this inspection is assigned to.custom_field_valuesarray of stringsThe values for the custom fields defined in the inspection type. The order of the values must match the order of the custom fields defined in the inspection type. If a value is optional, you can provide null for it.custom_field_valuesADD stringcustomer_addressstring | nullThe address where the inspection will be performed.customer_address_latstring | nullThe latitude of the address where the inspection will be performed.customer_address_lngstring | nullThe longitude of the address where the inspection will be performed.customer_email_addressstringlength ≤ 255The email address of the customer completing the inspection. Required if send_methods.email is true.customer_first_namestringlength ≤ 255The first name of the customer completing the inspection.customer_last_namestringlength ≤ 255The last name of the customer completing the inspection.customer_namestringlength ≤ 255The full name of the customer who will be completing the inspection. If specified, then customer_first_name and customer_last_name will not be provided.customer_phone_countrystringlength ≤ 2The country code for the customer's phone number.customer_phone_numberstringThe mobile number of the customer completing the inspection. Required if send_methods.text is true.include_listbooleanDefaults to falseWhether the request includes list. It must be true when including list.truefalseinspection_status_idnumberenumThe ID of the inspection status this inspection is in.412345678Show 8 enum valueslistobjectOptional list updates with items. When provided with include_list: true, the list is created or updated for the inspection, if it's scheduled.list objectmessage_supplementstringlength ≤ 255The message supplement (custom note) to attach to the request text or email. At most 255 characters.outcome_idnumberThe ID of the outcome of this inspection.outcome_reasonstringThe reason for the outcome of this inspection.scheduled_fordate-timeWhen the inspection is scheduled to be sent to the customer, in UTC.scheduled_tzstringThe IANA time zone name for the inspection's scheduled time. Used only for display purposes, as scheduled_for is in UTC.send_methodsobjectThe methods used to send the inspection request to the customer completing the inspection.send_methods objectResponses 200Success 400The request is malformed or fails path, query, body, or lifecycle validation. Standard errors include response_code, message and api_version, and an error_code when a client can act on the specific reason. Use the x-request-id response header when reporting a failed request. 401Authentication failed, or the user/client doesn't have permission to access the requested resource. 403The user doesn't have permission to access the requested resource. 404The requested resource couldn't be found. 412A request precondition failed. Some operations also return 412 when a related resource is not found, such as an assigned member when updating an inspection. Missing required fields normally return 400. Check the operation and message for the failed precondition. 500An unexpected error occurred.Updated 7 months ago Get an inspectionExport a PDF of an inspectionDid this page help you?YesNo